package net.wanji.opt.po.base;

import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2023/01/31 18:20
 */
@Data
public class CrossSchemeOptLogPO {

    private int id;
    private String crossId;
    private String schemeNo;
    private int dirType;
    private String turnType;
    private int offset;
    private int ringNo;
    private String phaseNo;
    private int phaseOrderId;
    private int oriGreenTime;
    private int optGreenTime;
    private int optTime;
    private String optType;
    private String optReason;
    private Date startTime;
    private Date endTime;
    private String relationFlag;
    private String relationCrossId;
    /**
     * 优化结果：1-成功 2-失败
     */
    private String optResult;
    private String optResultDesc;
    private int dataBatchTime;
    private String restoreResult;
    private String dataExtend;

}
